# StopPoll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests / StopPoll

# StopPoll

(common) `data class StopPoll : MessageAction, SimpleRequest<Poll>, ReplyMarkup` (source)

### Constructors

(common)

#### <init>

`StopPoll(chatId: ChatIdentifier, messageId: MessageIdentifier, replyMarkup: InlineKeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Poll>`

### Functions

(common)

#### method

`fun method(): String`